Skip to main content
Users

Get a list of configured user logins

This method requires the UserLogins:Get permission to be associated with your role.

GET
/gb/user/logins
Authorizationstringheaderrequired

For accessing the API a valid token must be passed in all the queries in the 'Authorization' header.

A valid token is generated by the API and returned by the /authenticate method by supplying a valid username and password.

The following syntax must be used in the 'Authorization' header :

Bearer aaaaaa/bbbbbb.ccccccc.dddddd
user_idstringquery

(Optional) Filter by User Id

user_loginstringquery

(Optional) Filter by User Login

servicestringquery

(Optional) Filter by Service

statusenum<string>[]querydefault:active

Optional status

pageintegerquerydefault:1

Optional page number

page_sizeintegerquerydefault:25

Optional page size

Response

application/vnd.catch-e-api.v1+json

Success

_embeddedobject
pagenumber
Example: 1
page_countnumber
Example: 1
page_sizenumber
Example: 25
total_itemsnumber
Example: 1